

Summary:		Lightweight and desktop independent task manager
Summary(de):		Standard Task Manager und System Monitor von LXDE
Name:     		lxtask
Version:		0.1.8
Release:		%mkrel 1
License:		GPLv2+
Group:			Graphical desktop/LXDE
Source0: 		%{name}-%{version}.tar.xz
Source1:		utilities-system-monitor-16.png
Source2:		utilities-system-monitor-32.png
Source3:		utilities-system-monitor-48.png
URL:			http://lxde.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
Requires:       	glibc >= 2.12.1
Requires:       	libstdc++6 >= 4.5.2
BuildRequires:		gtk+2-devel 
BuildRequires:		desktop-file-utils
BuildRequires:		libpthread-stubs
BuildRequires:		intltool
Obsoletes:		%{name} < %version


%description
Lightweight and desktop independent task manager.

%description -l de
LXTask ist der Standard Task Manager und System Monitor von LXDE.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=LXTask Manager
Name[fr]=Gestionnaire de tâches LXDE
Name[fi]=Tehtävienhallinta
Name[de]=LXTask Manager
Name[sv]=LXTask Manager
Comment=Manage running processes
Comment[fr]=Gère les processus en fonctionnement
Comment[fi]=Hallitse käynnissä olevia prosesseja
Comment[de]=Verwalten/Anzeigen von laufenden Prozessen
Comment[sv]=Hantera aktiva processer
GenericName=Process manager
GenericName[fi]=Prosessien käsittelijä
GenericName[de]=Prozesse Verwalter
GenericName[sv]=Processhanterare
Exec=lxtask
Icon=utilities-system-monitor
Terminal=false
StartupNotify=true
Type=Application
Categories=GTK;System;Monitor;X-MandrivaLinux-System-Monitoring;
EOF

# icons
mkdir -p $RPM_BUILD_ROOT{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_miconsdir}/utilities-system-monitor.png
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_iconsdir}/utilities-system-monitor.png
install -m 644 %SOURCE3 $RPM_BUILD_ROOT%{_liconsdir}/utilities-system-monitor.png

%clean
rm -rf $RPM_BUILD_ROOT

%post  
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_iconsdir}/large/*.png
%{_iconsdir}/mini/*.png
%{_iconsdir}/*.png
%{_mandir}/man1/%{name}.1.bz2

%changelog
* Sat Jul 08 2017 adrianomorselli <adrianomorselli> 0.1.8-1uplos2017
- update
